{
  config,
  marleylib,
  ...
}: let
  inherit (config.marleycfg.my) name;
  inherit (marleylib.module) enabled;
in {
  imports = [./hardware-configuration.nix];

  networking.hostName = "marleynet";

  marleycfg.profiles.server = true;

  marleyos = {
    services.ddclient = enabled;
  };

  users.users = {
    marley.openssh.authorizedKeys.keys = [
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIDcKsDGK8C5W6eRsJQSdAOTFVZnkKRWjnyn4iDR8zMi7 marley@nyx"

      # iphone
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIM+hMOzQBPmi6Rjw7fYvwn43w1Dgk+GEooGPnQz2RTcK Generated By Termius"
    ];

    root.openssh.authorizedKeys.keys = [
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIPWzW2E6j4eLNPYTmxZGzOXHwlEdTATu6Q9sk/zJBAmE marley@nyx"
    ];
  };

  services.openssh.ports = [222];

  home-manager.users."${name}" = {
    home.stateVersion = "24.05";
  };

  system.stateVersion = "24.05";
}
