{
  marleylib,
  config,
  ...
}: let
  inherit (marleylib.module) enabled;
  inherit (config.marleycfg.my) name;
in {
  imports = [./hardware-configuration.nix ./mounts.nix ./autorandr.nix];

  networking.hostName = "nyx";

  # For local dev.
  networking.firewall.allowedTCPPorts = [8080];

  marleycfg.profiles.desktop = true;

  marleyos = {
    hardware = {
      nvidia = enabled;
    };
  };

  home-manager.users."${name}" = {
    marleyos = {
      shell.niri.monitors = ["DP-1" "HDMI-A-1"];
      programs.calibre = enabled;
      services.syncthing = enabled;
    };

    home.stateVersion = "24.05";
  };

  system.stateVersion = "24.05";
}
