{
  config,
  lib,
  pkgs,
  ...
}: let
  cfg = config.marleyos.programs.less;
in {
  options.marleyos.programs.less.enable = lib.mkEnableOption "less";

  config = lib.mkIf cfg.enable {
    programs.less = {
      enable = true;

      envVariables = {
        LESS = "-R";
      };

      lessopen = "|${pkgs.lesspipe}/bin/lesspipe.sh %s";
    };
  };
}
