{
  config,
  lib,
  ...
}: let
  cfg = config.marleyos.programs.man;
in {
  options.marleyos.programs.man.enable = lib.mkEnableOption "man";

  config = lib.mkIf cfg.enable {
    programs.man.enable = true;

    home.sessionVariables = {
      MANWIDTH = "80";

      MANPAGER =
        lib.mkIf
        config.marleyos.programs.neovim.enable
        "nvim +NoNeckPain '+set nowrap' +Man!";
    };
  };
}
