{
  inputs,
  lib,
  pkgs,
  ...
}: {
  imports = [inputs.stylix.nixosModules.stylix];

  config = {
    # whatsapp-emoji-font is unfree.
    nixpkgs.config.allowUnfree = lib.mkForce true;

    stylix = {
      enable = true;

      fonts = {
        serif = {
          package = pkgs.eb-garamond;
          name = "EB Garamond";
        };
        sansSerif = {
          package = pkgs.dm-sans;
          name = "DeepMind Sans";
        };
        emoji = {
          package = pkgs.whatsapp-emoji-font;
          name = "Apple Color Emoji";
        };
      };

      cursor = {
        package = pkgs.rose-pine-cursor;
        name = "BreezeX-RosePine-Linux";
      };
    };
  };
}
